Package de.willuhn.jameica.hbci.server

# Class SepaSammelUeberweisungBuchungImpl

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteServer
java.rmi.server.UnicastRemoteObject
de.willuhn.datasource.db.AbstractDBObject
de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject
de.willuhn.jameica.hbci.server.AbstractSepaSammelTransferBuchungImpl<SepaSammelUeberweisung>
de.willuhn.jameica.hbci.server.SepaSammelUeberweisungBuchungImpl

All Implemented Interfaces:
  `de.willuhn.datasource.GenericObject`, `de.willuhn.datasource.rmi.Changeable`, `de.willuhn.datasource.rmi.DBObject`, `de.willuhn.datasource.rmi.Transactionable`, `Duplicatable`, `HibiscusDBObject`, `SepaBooking`, `SepaSammelTransferBuchung<SepaSammelUeberweisung>`, `SepaSammelUeberweisungBuchung`, `Transfer`, `Serializable`, `Remote`

public class SepaSammelUeberweisungBuchungImpl extends AbstractSepaSammelTransferBuchungImpl<SepaSammelUeberweisung> implements SepaSammelUeberweisungBuchung
Implementierung einer einzelnen Buchung einer SEPA-Sammelueberweisung.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.rmi.server.RemoteObject

`ref`

## Constructor Summary

Constructors
Constructor
Description
`SepaSammelUeberweisungBuchungImpl()`

## Method Summary

Modifier and Type
Method
Description
`protected Class`
`getForeignObject(String arg0)`
`SepaSammelUeberweisung`
`getSammelTransfer()`
Liefert den zugeordneten Sammel-Transfer.
`protected String`
`getTableName()`
`void`
`setSammelTransfer(SepaSammelUeberweisung s)`
Legt den zugehoerigen Sammel-Transfer fest.

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractSepaSammelTransferBuchungImpl

`duplicate, getAttribute, getBetrag, getEndtoEndId, getGegenkontoBLZ, getGegenkontoName, getGegenkontoNummer, getPrimaryAttribute, getPurposeCode, getWeitereVerwendungszwecke, getZweck, getZweck2, insertCheck, setBetrag, setEndtoEndId, setGegenkontoBLZ, setGegenkontoName, setGegenkontoNummer, setPurposeCode, setZweck, updateCheck`

### Methods inherited from class de.willuhn.jameica.hbci.server.AbstractHibiscusDBObject

`delete, getMeta, setMeta, store`

### Methods inherited from class de.willuhn.datasource.db.AbstractDBObject

`addDeleteListener, addStoreListener, clear, deleteCheck, equals, getAttributeNames, getAttributeType, getID, getIDField, getInsertSQL, getList, getListQuery, getLoadQuery, getService, getUpdateSQL, hasChanged, hasChanged, init, insert, isNewObject, load, overwrite, removeDeleteListener, removeStoreListener, setAttribute, setID, setService, transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from class java.rmi.server.UnicastRemoteObject

`clone, exportObject, exportObject, exportObject, exportObject, exportObject, unexportObject`

### Methods inherited from class java.rmi.server.RemoteServer

`getClientHost, getLog, setLog`

### Methods inherited from class java.rmi.server.RemoteObject

`equals, getRef, hashCode, toString, toStub`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface de.willuhn.datasource.rmi.Changeable

`clear, delete, isNewObject, overwrite, store`

### Methods inherited from interface de.willuhn.datasource.rmi.DBObject

`addDeleteListener, addStoreListener, equals, getAttribute, getAttributeType, getList, getPrimaryAttribute, load, removeDeleteListener, removeStoreListener`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Duplicatable

`duplicate`

### Methods inherited from interface de.willuhn.datasource.GenericObject

`getAttributeNames, getID`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.HibiscusDBObject

`getMeta, setMeta`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.SepaBooking

`getEndtoEndId, getPurposeCode, setEndtoEndId, setPurposeCode`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.SepaSammelTransferBuchung

`setBetrag, setGegenkontoBLZ, setGegenkontoName, setGegenkontoNummer, setZweck`

### Methods inherited from interface de.willuhn.datasource.rmi.Transactionable

`transactionBegin, transactionCommit, transactionRollback`

### Methods inherited from interface de.willuhn.jameica.hbci.rmi.Transfer

`getBetrag, getGegenkontoBLZ, getGegenkontoName, getGegenkontoNummer, getWeitereVerwendungszwecke, getZweck, getZweck2`

## Constructor Details

### SepaSammelUeberweisungBuchungImpl

public SepaSammelUeberweisungBuchungImpl() throws RemoteException

Throws:
  `RemoteException`

## Method Details

### getTableName

protected String getTableName()

Specified by:
  `getTableName` in class `de.willuhn.datasource.db.AbstractDBObject`
See Also:
  - `AbstractDBObject.getTableName()`

### getForeignObject

protected Class getForeignObject(String arg0) throws RemoteException

Overrides:
  `getForeignObject` in class `de.willuhn.datasource.db.AbstractDBObject`
Throws:
  `RemoteException`
See Also:
  - `AbstractDBObject.getForeignObject(java.lang.String)`

### getSammelTransfer

public SepaSammelUeberweisung getSammelTransfer() throws RemoteException
Description copied from interface: `SepaSammelTransferBuchung`
Liefert den zugeordneten Sammel-Transfer.

Specified by:
  `getSammelTransfer` in interface `SepaSammelTransferBuchung<SepaSammelUeberweisung>`
Returns:
  Sammel-Transfer.
Throws:
  `RemoteException`
See Also:
  - `SepaSammelTransferBuchung.getSammelTransfer()`

### setSammelTransfer

public void setSammelTransfer(SepaSammelUeberweisung s) throws RemoteException
Description copied from interface: `SepaSammelTransferBuchung`
Legt den zugehoerigen Sammel-Transfer fest.

Specified by:
  `setSammelTransfer` in interface `SepaSammelTransferBuchung<SepaSammelUeberweisung>`
Parameters:
  `s` - Sammel-Transfer.
Throws:
  `RemoteException`
See Also:
  - `SepaSammelTransferBuchung.setSammelTransfer(de.willuhn.jameica.hbci.rmi.SepaSammelTransfer)`